QScintilla: QextScintillaLexerTeX Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# QextScintillaLexerTeX Class Reference

The QextScintillaLexerTeX class encapsulates the Scintilla TeX lexer. More...

`#include <qextscintillalexertex.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Special = 1
- Group = 2
- Symbol = 3
- Command = 4
- Text = 5
- enum {
  Default = 0, Special = 1, Group = 2,
  Symbol = 3, Command = 4, Text = 5
  }

## Public Member Functions

- QextScintillaLexerTeX (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerTeX ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor color (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QextScintillaLexerTeX class encapsulates the Scintilla TeX lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the TeX lexer.

Enumerator:

  Default | The default.
  Special | A special.
  Group | A group.
  Symbol | A symbol.
  Command | A command.
  Text | Text.

## Constructor & Destructor Documentation

QextScintillaLexerTeX::QextScintillaLexerTeX | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerTeX with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerTeX::~QextScintillaLexerTeX | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerTeX instance.

## Member Function Documentation

const char* QextScintillaLexerTeX::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerTeX::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

QColor QextScintillaLexerTeX::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerTeX::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

QString QextScintillaLexerTeX::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.